import { IIndexEntry } from './types.js';
export declare const getIndexName: (filename: string) => string;
export declare const parseFilesize: (filesize: string) => number | boolean;
/**
 * Sorts directory descending and filename ascending
 *
 * This ensures:
 *
 * 1) Directory first
 * 2) Latest folers first for common year bases media directories
 * 3) Standard ascending file order in folders, where videos come last
 *
 * Example:
 *  2021
 *  2021/2021-12-24
 *  2021/2021-12-24/IMG_2034.jpg
 *  2021/2021-12-24/IMG_2035.jpg
 *  2021/2021-08-10
 *  2021/2021-08-10/IMG_1478.jpg
 *  2021/2021-08-10/VID_1479.jpg
 *  2020
 *  2020/2020-09-20
 */
export declare const byDirDescFileAsc: (a: IIndexEntry, b: IIndexEntry) => number;
