import { Schema } from 'yup';
import { TPlugin, TExtenstionType, TPluginExtension, TExtensionBase } from "@home-gallery/types";
export type TExtentionEntry = {
    plugin: TPlugin;
    type: TExtenstionType;
    extension: any;
};
type TExtensionRegistrySchemas = {
    [key: string]: Schema;
};
export declare class ExtensionRegistry {
    extensionsEntries: TPluginExtension[];
    schemas: TExtensionRegistrySchemas;
    disabledExtensions: string[];
    log: any;
    constructor(schemas?: TExtensionRegistrySchemas, disabledExtensions?: string[]);
    register(plugin: TPlugin, type: TExtenstionType, extension: TExtensionBase & any): Promise<void>;
    registerLegacyFactory(plugin: TPlugin, factory: any): Promise<void>;
    getSupportedExtensionTypes(): string[];
    getExtensions(): TPluginExtension[];
}
export {};
