import { TPlugin, TServerPluginManager, TLogger, TGalleryConfig, TExtenstionType, TPluginExtension, TBrowserPluginContext } from '@home-gallery/types';
import { ExtensionRegistry } from './extensionRegistry.js';
import { PluginLoader } from './load/loader.js';
export declare class PluginManager implements TServerPluginManager {
    #private;
    log: TLogger;
    config: TGalleryConfig;
    context: any;
    loader: PluginLoader;
    registry: ExtensionRegistry;
    constructor(config?: TGalleryConfig, context?: {});
    /**
     * Currently the PluginManager is experimental and interfaces
     * are subjects of change until ApiVersion 1.0 is released
     */
    getApiVersion(): string;
    getConfig(): TGalleryConfig;
    createLogger(module: string): TLogger;
    getContext(): any;
    addPlugin(plugin: TPlugin): Promise<any>;
    loadPlugins(): Promise<void>;
    register(type: TExtenstionType, extension: any): Promise<void>;
    getExtensions(): TPluginExtension[];
    getPlugins(): TPlugin[];
    getBrowserPlugins(): TBrowserPluginContext;
}
