import * as Yup from 'yup';
export declare const PluginSchema: Yup.ObjectSchema<{
    name: string;
    version: string;
    requires: any[] | undefined;
    environments: (string | undefined)[] | undefined;
    initialize: {};
}, Yup.AnyObject, {
    name: undefined;
    version: undefined;
    requires: undefined;
    environments: "";
    initialize: undefined;
}, "">;
export declare const ExtractorSchema: Yup.ObjectSchema<{
    name: string;
    phase: "meta" | "raw" | "file";
    create: {};
    tearDown: {} | undefined;
}, Yup.AnyObject, {
    name: undefined;
    phase: "file";
    create: undefined;
    tearDown: undefined;
}, "">;
export declare const DatabaseSchema: Yup.ObjectSchema<{
    name: string;
    order: number;
    mapEntry: {};
}, Yup.AnyObject, {
    name: undefined;
    order: 1;
    mapEntry: undefined;
}, "">;
export declare const QuerySchema: Yup.ObjectSchema<{
    name: string;
    order: number;
    textFn: {} | undefined;
    transformRules: any[] | undefined;
    queryHandler: {} | undefined;
}, Yup.AnyObject, {
    name: undefined;
    order: 1;
    textFn: undefined;
    transformRules: undefined;
    queryHandler: undefined;
}, "">;
export declare const extensionSchemas: {
    extractor: Yup.ObjectSchema<{
        name: string;
        phase: "meta" | "raw" | "file";
        create: {};
        tearDown: {} | undefined;
    }, Yup.AnyObject, {
        name: undefined;
        phase: "file";
        create: undefined;
        tearDown: undefined;
    }, "">;
    database: Yup.ObjectSchema<{
        name: string;
        order: number;
        mapEntry: {};
    }, Yup.AnyObject, {
        name: undefined;
        order: 1;
        mapEntry: undefined;
    }, "">;
    query: Yup.ObjectSchema<{
        name: string;
        order: number;
        textFn: {} | undefined;
        transformRules: any[] | undefined;
        queryHandler: {} | undefined;
    }, Yup.AnyObject, {
        name: undefined;
        order: 1;
        textFn: undefined;
        transformRules: undefined;
        queryHandler: undefined;
    }, "">;
};
